Messages
Update a message
Update message content before its queued processing has started.
PATCH
/
v1
/
messages
/
{messageId}
Update a message
curl --request PATCH \
--url https://api.tembo.io/v1/messages/{messageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"jsonContent": "{\"type\":\"doc\",\"content\":[{\"type\":\"paragraph\",\"content\":[{\"type\":\"text\",\"text\":\"Hello\"}]}]}"
}
'import requests
url = "https://api.tembo.io/v1/messages/{messageId}"
payload = {
"content": "<string>",
"jsonContent": "{\"type\":\"doc\",\"content\":[{\"type\":\"paragraph\",\"content\":[{\"type\":\"text\",\"text\":\"Hello\"}]}]}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
jsonContent: '{"type":"doc","content":[{"type":"paragraph","content":[{"type":"text","text":"Hello"}]}]}'
})
};
fetch('https://api.tembo.io/v1/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"externalAvatarUrl": "<string>",
"externalUrl": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentMessageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pullRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "user",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"jsonContent": {
"type": "doc",
"content": [
{
"type": "paragraph"
}
]
},
"slashCommand": {
"command": "<string>",
"arguments": "<string>"
},
"source": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Update a message
Available options:
user, assistant, system Raw JSON value stored for the message, including legacy strings and unknown TipTap nodes or attributes.
Example:
{
"type": "doc",
"content": [{ "type": "paragraph" }]
}
Show child attributes
Show child attributes
Maximum string length:
100Was this page helpful?
⌘I
Update a message
